import React from 'react';
import ReactDOM from 'react-dom';
import {
  Chart, ChartTitle, ChartSeries, ChartSeriesItem, ChartCategoryAxis, ChartCategoryAxisItem, ChartLegend,
} from '@progress/kendo-react-charts';
const LineChart = (props) => {
  const allocations = [165, 210, 287, 144, 190, 167, 212];
  const mandates = [123, 276, 310, 212, 240, 156, 98]
  const categories = (data) => {
    const array = [];
    data.forEach((x) => {
      array.push(x);
    });
    return array;
  };
  const asdc = (data) => {
    const array = [];
    data.forEach((x) => {
      array.push(x);
    });
    return array;
  };
  return (
    <div className="line-chart">
      <Chart>
        <ChartTitle
          text="Active Spread Duration Contribution"
        />
        <ChartLegend
          position="bottom"
          orientation="horizontal"
        />
        <ChartSeries>
          <ChartSeriesItem
            type="line"
            name="New ASDC"
            data={asdc(allocations)}
            markers={{ visible: false }}
            tooltip={{ visible: true }}
          />
          <ChartSeriesItem
            type="line"
            name="Old ASDC"
            data={asdc(mandates)}
            markers={{ visible: false }}
            tooltip={{ visible: true }}
          />
        </ChartSeries>
        <ChartCategoryAxis>
          <ChartCategoryAxisItem categories={categories(allocations)} />
        </ChartCategoryAxis>
      </Chart>
    </div>
  );
};

ReactDOM.render(
  <LineChart />,
  document.querySelector('my-app')
);

